%global momorel 5
Summary: Getopt::Mixed module for perl
Name: perl-Getopt-Mixed
Version: 1.008
Release: %{momorel}m
License: GPL
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/Getopt/
Source0: http://www.cpan.org/modules/by-module/Getopt/Getopt-Mixed-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl
BuildArch: noarch

%description
Getopt::Mixed module for perl

# Provide perl-specific find-{provides,requires}.
%global __find_provides /usr/lib/rpm/find-provides.perl
%global __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Getopt-Mixed-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make PERL_INSTALL_ROOT=%{buildroot} install

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Getopt-Mixed-%{version}-filelist
if [ "$(cat Getopt-Mixed-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/Getopt/Mixed/.packlist

%files -f Getopt-Mixed-%{version}-filelist
%defattr(-,root,root)

%changelog
* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.008-5m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.008-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.008-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.008-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Fri Jan 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.008-1m)
- import to momonga

